aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2019-04-11 14:48:17 +0200
committerPau Espin Pedrol <pespin@sysmocom.de>2019-04-12 17:53:15 +0200
commitbfea6499a3c96a7db62d72a9d2bee60967d59961 (patch)
tree1cf4311474f5764ed067e79b25dd6e4bdfb748e2
parenta5a4c5a86769d5fedcacad17ca88cf6b4388729f (diff)
nightly-packages: Move some code and rename some vars to look similar to latest-packages
-rwxr-xr-xscripts/osmocom-latest-packages.sh1
-rwxr-xr-xscripts/osmocom-nightly-packages.sh52
2 files changed, 28 insertions, 25 deletions
diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index d647d32..e70dd92 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -18,6 +18,7 @@ if ! which osc >/dev/null 2>/dev/null ; then
exit 1
fi
+### OBS build
prepare() {
# start with a checkout of the project
if [ -d $PROJ ]; then
diff --git a/scripts/osmocom-nightly-packages.sh b/scripts/osmocom-nightly-packages.sh
index 26b8bc9..e9cc778 100755
--- a/scripts/osmocom-nightly-packages.sh
+++ b/scripts/osmocom-nightly-packages.sh
@@ -1,33 +1,21 @@
#!/bin/bash
+
# requirements
# apt install devscripts git-buildpackage osc git
set -e
set -x
+# OBS project name
+PROJ=network:osmocom:nightly
+
+DT=$(date +%Y%m%d)
+TOP=$(pwd)/$(mktemp -d nightly-3g_XXXXXX)
+
if ! which osc >/dev/null 2>/dev/null ; then
echo "osc binary not found"
exit 1
fi
-DT=$(date +%Y%m%d)
-PROJ=network:osmocom:nightly
-
-### common
-checkout() {
- local name=$1
- local branch=$2
- local url="https://git.osmocom.org"
-
- cd "$REPO"
-
- if [ -n "$branch" ] ; then
- git clone "$url/$name" -b "$branch"
- else
- git clone "$url/$name"
- fi
-
- cd -
-}
### OBS build
prepare() {
@@ -56,6 +44,23 @@ get_commit_version() {
echo -n "$version"
}
+### common
+checkout() {
+ local name=$1
+ local branch=$2
+ local url="https://git.osmocom.org"
+
+ cd "$REPO"
+
+ if [ -n "$branch" ] ; then
+ git clone "$url/$name" -b "$branch"
+ else
+ git clone "$url/$name"
+ fi
+
+ cd -
+}
+
build() {
local name=$1
local changelog=$2
@@ -144,12 +149,11 @@ create_osmo_trx_debian8_jessie() {
}
build_osmocom() {
- BASE=$PWD
- DATA=$BASE/data
- REPO=$BASE/repo
+ DATA=$TOP/data
+ REPO=$TOP/repo
# rather than including a dangerous 'rm -rf *' here, lets delegate to the user:
- if [ -n "$(ls)" ]; then
+ if [ -n "$(ls $TOP)" ]; then
echo "ERROR: I need to run in an empty directory."
exit 1
fi
@@ -224,6 +228,4 @@ build_osmocom() {
post
}
-TMPDIR=$(mktemp -d nightly-3g_XXXXXX)
-cd "$TMPDIR"
build_osmocom